#!/bin/sh
# Use: gen-user-mailbox.sh user@domain.tld
user=`echo -n "$1" | cut -d@ -f1`
duser=`echo -n "$1" | cut -d@ -f2 | sed 's/\./-/g'`

test -z "$user" -o -z "$duser" \
	&& echo "Usage: gen-user-mailbox.sh user@domain.tld" \
	&& exit

cd /home/mail/$duser
mkdir $user
/var/qmail/bin/maildirmake $user/Maildir
chown -R $duser:mailboxen $user
chmod -R 0700 $user/Maildir
touch $user/.password
chown $duser:mailboxen $user/.password
chmod 600 $user/.password
echo -n "Please enter password for $user: "
gen-md5-pw.pl > $user/.password
echo
echo "Password set for $1"
